import ContactForm from '.';
import withTheme from '../withTheme';

const ThemedContactForm = withTheme(ContactForm);

export default {
  title: 'Deprecated/ContactForm',
};

export function VerticalLayout() {
  return <ThemedContactForm />;
}

VerticalLayout.storyName = 'vertical layout';

export function HorizontalLayout() {
  return <ThemedContactForm layout="horizontal" />;
}

HorizontalLayout.storyName = 'horizontal layout';

export function WithoutTitle() {
  return <ThemedContactForm layout="vertical" title="" />;
}

WithoutTitle.storyName = 'without title';

export function CustomizeFields() {
  return <ThemedContactForm layout="horizontal" fields={['Email', 'Name']} />;
}

CustomizeFields.storyName = 'customize fields';
